using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

public partial class JobSeekers_jsMenu : System.Web.UI.UserControl
{
    protected void Page_Load(object sender, EventArgs e)
    {
        
        string pageCall=this.NamingContainer.Page.Title;        
        HyperLink hyperLink  ;
        Literal literal  ;
        switch(pageCall)
        {
            case "::My Account":
            case "::Job Manager":
            case "::Job Details":
            case "::My Account-Saved Search":
            case "::My Account-Applied Resume":
            case "::Change Password":
            case "::Update Login Information":            
                hyperLink = new HyperLink();
                hyperLink.Text = "Job Manager";
                hyperLink.NavigateUrl = "jobmanager.aspx";
                this.panelMenu.Controls.Add(hyperLink);                                
                literal = new Literal();
                literal.Text = " | ";
                this.panelMenu.Controls.Add(literal);
                hyperLink = new HyperLink();
                hyperLink.Text = "Update Account";
                hyperLink.NavigateUrl = "register.aspx";
                this.panelMenu.Controls.Add(hyperLink);
                literal = new Literal();
                literal.Text = " | ";
                this.panelMenu.Controls.Add(literal);
                hyperLink = new HyperLink();
                hyperLink.Text = "Change Password";
                hyperLink.NavigateUrl = "changepassword.aspx";
                this.panelMenu.Controls.Add(hyperLink);
                literal = new Literal();
                literal.Text = " | ";
                this.panelMenu.Controls.Add(literal);
                hyperLink = new HyperLink();
                hyperLink.Text = "Logout";
                hyperLink.NavigateUrl = "logout.aspx";
                this.panelMenu.Controls.Add(hyperLink);                
                break;                
            case "::Login":
            case "::New Registration":
            case "::Forgot Password":
                hyperLink = new HyperLink();
                hyperLink.Text = "New Registration";
                hyperLink.NavigateUrl = "register.aspx";
                this.panelMenu.Controls.Add(hyperLink);
                literal = new Literal();
                literal.Text = " | ";
                this.panelMenu.Controls.Add(literal);
                hyperLink = new HyperLink();
                hyperLink.Text = "Forgot Password";
                hyperLink.NavigateUrl = "forgotpassword.aspx";
                this.panelMenu.Controls.Add(hyperLink); 
                break;
            case "::Search for Resumes":            
            case "::Search job by Location":           
            case "::Search job by Category": 
            case "::Search job by Industry":
            case "::Resume Result":
            case "::Resume Details":       
                hyperLink = new HyperLink();
                hyperLink.Text = "Search by Location";
                hyperLink.NavigateUrl = "location.aspx";
                this.panelMenu.Controls.Add(hyperLink);
                literal = new Literal();
                literal.Text = " | ";
                this.panelMenu.Controls.Add(literal);
                hyperLink = new HyperLink();
                hyperLink.Text = "Search by Category";
                hyperLink.NavigateUrl = "category.aspx";
                this.panelMenu.Controls.Add(hyperLink);
                literal = new Literal();
                literal.Text = " | ";
                this.panelMenu.Controls.Add(literal);
                hyperLink = new HyperLink();
                hyperLink.Text = "Search by Industry";
                hyperLink.NavigateUrl = "industry.aspx";
                this.panelMenu.Controls.Add(hyperLink);
     
                if (Session.Contents["rcuserid"] != null)
                {
                    literal = new Literal();
                    literal.Text = " | ";
                    this.panelMenu.Controls.Add(literal);
                    hyperLink = new HyperLink();
                    hyperLink.Text = "Logout";
                    hyperLink.NavigateUrl = "logout.aspx";
                    this.panelMenu.Controls.Add(hyperLink);
                }
                break;          
        }
        
    }
}
